Ponder.registry((event) => {
    event.create(['solarcraft:solar_core_block'])
       
    .scene("solar_core", "Building the solar core", "kubejs:solar_core", (scene, util) => {
        scene.showStructure();
        scene.idle(10)
        scene.text(40, "§9 5x7的结构")
        scene.text(20, "搭建完成请切换魔杖模式为结构检查模式，右键太阳核心查看完整性", [2, 3, 2.5]).placeNearTarget()

        scene.idle(20)
            scene.showControls(60, [2, 3, 2.5], "down")
                .rightClick()
                .withItem("solarcraft:solar_wand")
                scene.text(40, "请将魔杖切换至查看太阳能量模式查看", [2, 3, 2.5]).placeNearTarget()
        scene.idle(20)
            scene.world.setBlock([-2, 2, 2.5], "solarcraft:solar_energy_repeater", false)
            scene.world.showSection([-2, 2, 2.5], Facing.down)
            scene.text(40, "请将魔杖切换至太阳能网络连接模式链接太阳能中继器", [-2, 2, 2.5]).placeNearTarget()

            
        
  

    })

   

   
   




});  